# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/snappy-1.1.9-on-linux_64, last modified Thu Apr 14 08:07:26 2022
# ------------------------------------------------

package:
  name: snappy
  version: 1.1.9
source:
  - fn: snappy-1.1.9.tar.gz
    patches:
      - Add_inline.patch
    sha256: 75c1fbb3d618dd3a0483bff0e26d0a92b495bbe5059c8b4f1c962b478b6e06e7
    url: https://github.com/google/snappy/archive/1.1.9.tar.gz
  - folder: third_party/benchmark
    sha256: 8222ebe7d9049c4b8bb3f930e3ca08e232f5587ad4121619f73f6ce374391c70
    url: https://github.com/google/benchmark/archive/bf585a2789e30585b4e3ce6baf11ef2750b54677.tar.gz
  - folder: third_party/googletest
    sha256: d518c1c146c5a87cdedbee8535a396f95d91e8b39baa539fd4c50bd62148d199
    url: https://github.com/google/googletest/archive/18f8200e3079b0e54fa00cb7ac55d4c39dcf6da6.tar.gz
build:
  number: '0'
  run_exports:
    - snappy >=1.1.9,<2.0a0
  string: h295c915_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.3.29 h06a4308_0
    - cmake 3.22.1 h1fce559_0
    - curl 7.82.0 h7f8727e_0
    - expat 2.4.4 h295c915_0
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gettext 0.21.0 hf68c758_0
    - git 2.34.1 pl5262hc120c5b_0
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - icu 58.2 he6710b0_3
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.82.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuv 1.40.0 h7b6447c_0
    - libxml2 2.9.12 h03d6c58_0
    - lz4-c 1.9.3 h295c915_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1n h7f8727e_0
    - patch 2.7.6 h7b6447c_1001
    - pcre2 10.37 he7ceb23_1
    - perl 5.26.2 h14c3975_0
    - rhash 1.4.1 h3c74f83_1
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.11 h1ccaba5_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.12 h7f8727e_0
    - zstd 1.5.0 ha4553b6_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
  run:
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
test:
  commands:
    - test -e $PREFIX/include/snappy.h
    - test -e $PREFIX/include/snappy-stubs-public.h
    - test -e $PREFIX/lib/libsnappy$SHLIB_EXT
    - test -e $PREFIX/lib/libsnappy.a
about:
  description: 'Snappy is a compression/decompression library. It does not aim for
    maximum

    compression, or compatibility with any other compression library; instead, it

    aims for very high speeds and reasonable compression. For instance, compared to

    the fastest mode of zlib, Snappy is an order of magnitude faster for most

    inputs, but the resulting compressed files are anywhere from 20% to 100%

    bigger.

    '
  dev_url: https://github.com/google/snappy
  doc_url: https://github.com/google/snappy/tree/master/docs
  home: https://github.com/google/snappy
  license: BSD-3-clause AND CC-BY-3.0 AND MIT AND CC-BY AND Public Domain
  license_family: BSD
  license_file: COPYING
  summary: A fast compressor/decompressor
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - MaxRis
    - dougalsutherland
    - groutr
    - jakirkham
    - wesm
    - xhochy
